[build-system]

requires = ["setuptools",
            "setuptools_scm",
            "wheel"]

build-backend = 'setuptools.build_meta'

[tool.towncrier]
    package = "aiapy"
    filename = "CHANGELOG.rst"
    directory = "changelog/"
    issue_format = "`#{issue} <https://github.com/sunpy/aiapy/pull/{issue}>`__"

    [[tool.towncrier.type]]
        directory = "breaking"
        name = "Backwards Incompatible Changes"
        showcontent = true

    [[tool.towncrier.type]]
        directory = "api"
        name = "API Changes"
        showcontent = true

    [[tool.towncrier.type]]
      directory = "removal"
      name = "Deprecations and Removals"
      showcontent = true

    [[tool.towncrier.type]]
      directory = "feature"
      name = "Features"
      showcontent = true

    [[tool.towncrier.type]]
      directory = "bugfix"
      name = "Bug Fixes"
      showcontent = true

    [[tool.towncrier.type]]
      directory = "doc"
      name = "Improved Documentation"
      showcontent = true

    [[tool.towncrier.type]]
      directory = "trivial"
      name = "Trivial/Internal Changes"
      showcontent = true
